Bug 98680 - excessive dependency
excessive dependency
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-07 10:44 EDT by ajs
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-14 13:14:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ajs 2003-07-07 10:44:58 EDT
Description of problem:
The kernel-source rpm requires qt-devel.

Version-Release number of selected component (if applicable):
kernel-source-2.5.74-1.10
Comment 1 Dennis Gilmore 2003-07-08 21:11:07 EDT
qt-devel is required  because the kernel uses qt to do xconfig  this is not a
bug  but a result of upstream changes.
Comment 2 ajs 2003-07-09 11:07:48 EDT
But it is not needed for 'make menuconfig', 'make gconfig' or for compiling
external modules with the kernel (VMware).  If qt-devel is to be required then
so should glib2-devel, but neither is really appropriate.
Comment 3 ajs 2003-07-09 11:10:00 EDT
p.s. This is a particular problem for servers not already running X.
Comment 4 Arjan van de Ven 2003-07-09 11:17:15 EDT
I've removed the dependency 

Now kernel-source is no longer needed nor used for building external modules.
The only use for it is compiling your own kernel based om the RH sources. 

Note You need to log in before you can comment on or make changes to this bug.